G-TANKILL
1
BRL-CAD
BRL-CAD
User Commands

# g-tankill

TANKILL Translator (BRL-CAD to TANKILL)

      g-tankill
        -v
        -xX lvl
        -i idents_file
        -s surroundings_code
        -a abs_tol
        -r rel_tol
        -n norm_tol
        -o tankill_file
        database.g
        object(s)

## DESCRIPTION

g-tankill converts the specified object(s) from a BRL-CAD database.g file to the TANKILL format. The tankill_file represents each object as a series of triangular faces. This converter creates a region for each object ident number by unioning together all the objects with the same ident number. The `-x` option specifies a LIBRT debug flag, and the `-X` option specifies an NMG-Library debug flag. The `-a` , `-r` , and `-n` options specify tessellation tolerances. The `-o` option specifies the name of the file to receive the output (stdout is the default). The `-i` option specifies that ident numbers should be assigned sequentially rather than using the idents assigned in the BRL-CAD model. A list of the regions and the assigned idents are written to idents_file along with the BRL-CAD ident number, aircode, gift material code, los, and any material name assigned through the mater command. The `-s` option specifies that the provided surroundings code should be used for all the components in the TANKILL output model. The default is to use a surroundings code of 1000.

## EXAMPLE

    $ g-tankill -o sample.tankill sample.g sample_object

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1992-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.